dev_add_pack
Prev | Driver Support | Next

## Name

dev_add_pack — add packet handler

## Synopsis

`void dev_add_pack (` | struct packet_type * | pt`)`;

## Arguments

`pt`

  packet type declaration

## Description

Add a protocol handler to the networking stack. The passed &packet_type is linked into kernel lists and may not be freed until it has been removed from the kernel lists.

This call does not sleep therefore it can not guarantee all CPU's that are in middle of receiving packets will see the new packet type (until the next received packet).

Prev | Up | Next
Chapter 10. Network device support | Home | __dev_remove_pack